package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglXf;
import com.mosty.base.model.entity.jcgl.TbJcglXfCyry;
import com.mosty.base.model.query.jcgl.TbJcglXfCyryQuery;
import com.mosty.base.model.query.jcgl.TbJcglXfQuery;

import java.util.List;

public interface TbJcglXfCyryService {

    TbJcglXfCyry queryById(String id);

    IPage<TbJcglXfCyry> paginQuery(TbJcglXfCyryQuery query);

    Integer insert(TbJcglXfCyry xf);

    Integer update(TbJcglXfCyry xf);

    Boolean deleteById(String id);

    Boolean deleteByIds(List<String> id);
}
